Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools S/MIME Java API Reference 10g Release 3 (10.1.3) B25379-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.crypto.smime.ess
Class ReceiptRequest

`java.lang.Object
oracle.security.crypto.smime.ess.ReceiptRequest`

All Implemented Interfaces:
  oracle.security.crypto.asn1.ASN1Object, oracle.security.crypto.util.Streamable

public class ReceiptRequest
extends java.lang.Object
implements oracle.security.crypto.asn1.ASN1Object

An ESS Receipt Request.

Nested Class Summary
`static class` | `ReceiptRequest.AllOrFirstTier` A 'AllOrFirstTier' is a part of the 'ReceiptsFrom' field of a `ReceiptRequest`.

Field Summary
`static int` | `UB_RECEIPTS_TO` The maximum number of receiver of receipts allowed.

Constructor Summary
`ReceiptRequest(byte[] signedContentIdentifier, oracle.security.crypto.cert.GeneralNames generalNames)` Create a `ReceiptRequest` object.
`ReceiptRequest(byte[] signedContentIdentifier, oracle.security.crypto.cert.GeneralNames rcptsFrom, oracle.security.crypto.cert.GeneralNames generalNames)` Create a `ReceiptRequest` object.
`ReceiptRequest(byte[] signedContentIdentifier, ReceiptRequest.AllOrFirstTier allOrFirstTier, oracle.security.crypto.cert.GeneralNames generalNames)` Create a `ReceiptRequest` object.
`ReceiptRequest(byte[] signedContentIdentifier, ReceiptRequest.AllOrFirstTier allOrFirstTier, java.util.Vector generalNames)` Create a `ReceiptRequest` object.
`ReceiptRequest(byte[] signedContentIdentifier, java.util.Vector rcptsFrom, java.util.Vector generalNames)` Create a `ReceiptRequest` object.
`ReceiptRequest(oracle.security.crypto.cms.CMSSignerInfo si)` Create a `ReceiptRequest` object.
`ReceiptRequest(java.io.InputStream is)` Create a `ReceiptRequest` object.

Method Summary
`void` | `addReceiptsFrom(oracle.security.crypto.cert.GeneralName generalName)` Adds an entity to the list of recipients who will receive the receipt request.
`void` | `addReceiptsFrom(oracle.security.crypto.cert.GeneralNames generalNames)` Adds an entity to the list of recipients who will receive the receipt request.
`void` | `addReceiptsFrom(java.lang.String rfc822Name)` Adds an entity to the list of recipients who will receive the receipt request.
`void` | `addReceiptsFrom(java.util.Vector genNames)` Adds an entity to the recipientsFrom list who will receive the receipt request.
`void` | `addReceiptsFrom(oracle.security.crypto.cert.X500Name directoryName)` Adds an entity to the list of recipients who will receive the receipt request.
`void` | `addReceiptsFrom(oracle.security.crypto.cert.X500Name directoryName, java.lang.String rfc822Name)` Adds an entity to the list of recipients who will receive the receipt request.
`void` | `addReceiptsTo(oracle.security.crypto.cert.GeneralName generalName)` Adds an entity to the list of recipients who will receive the receipt(s).
`void` | `addReceiptsTo(oracle.security.crypto.cert.GeneralNames generalNames)` Adds an entity to the list of recipients who will receive the receipt(s).
`void` | `addReceiptsTo(java.lang.String rfc822Name)` Adds an entity to the list of recipients who will receive the receipt(s).
`void` | `addReceiptsTo(java.util.Vector generalNames)` Adds an entity to the list of recipients who will receive the receipt(s).
`void` | `addReceiptsTo(oracle.security.crypto.cert.X500Name directoryName)` Adds an entity to the list of recipients who will receive the receipt(s).
`void` | `addReceiptsTo(oracle.security.crypto.cert.X500Name directoryName, java.lang.String rfc822Name)` Adds an entity to the list of recipients who will receive the receipt(s).
`boolean` | `checkReceiptsFrom(oracle.security.crypto.cert.GeneralName generalName)` Indicate if a Receipt has been requested from the specified entity.
`boolean` | `checkReceiptsFrom(java.lang.String rfc822Name)` Indicate if a Receipt has been requested from the specified entity.
`boolean` | `checkReceiptsFrom(oracle.security.crypto.cert.X500Name recipientX500Name)` Indicate if a Receipt has been requested from the specified entity.
`boolean` | `equals(java.lang.Object o)` Indicates if the object equals the specified object.
`ReceiptRequest.AllOrFirstTier` | `getAllOrFirstTier()` Returns the AllOrFirstTierValue.
`java.util.Vector` | `getReceiptList()` Returns the list of recipients who will receive the receipt request(s).
`java.util.Vector` | `getReceiptsTo()` Returns the list of recipients who will receive the receipt(s).
`byte[]` | `getSignedContentIdentifier()` Returns the signed content identifier.
`int` | `hashCode()` Return the hash code for this object.
`void` | `input(java.io.InputStream is)`
`int` | `length()` Returns the length of this object's encoding.
`void` | `output(java.io.OutputStream os)` Outputs this object's encoding to the specified output stream.
`java.util.Enumeration` | `receiptsFrom()` Returns the list of recipients who will receive the receipt request(s).
`java.util.Enumeration` | `receiptsTo()` Returns the list of recipients who will receive the receipt(s).
`void` | `setAllOrFirstTierReceiptsFrom(ReceiptRequest.AllOrFirstTier allOrFirstTier)` Sets the AllOrFirstTierValue.
`java.lang.String` | `toString()` Return information about this object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### UB_RECEIPTS_TO

    public static final int UB_RECEIPTS_TO

  The maximum number of receiver of receipts allowed.
  See Also:
    Constant Field Values

Constructor Detail

### ReceiptRequest

    public ReceiptRequest(byte[] signedContentIdentifier,
                          oracle.security.crypto.cert.GeneralNames generalNames)

  Create a `ReceiptRequest` object. By default all the recipients will have to send a receipt.
Parameters:
  `signedContentIdentifier` - The signed content identifier of this receipt request.
  `generalNames` - The recipient to whom the receipt should be sent.

### ReceiptRequest

    public ReceiptRequest(byte[] signedContentIdentifier,
                          ReceiptRequest.AllOrFirstTier allOrFirstTier,
                          oracle.security.crypto.cert.GeneralNames generalNames)

  Create a `ReceiptRequest` object.
Parameters:
  `signedContentIdentifier` - The signed content identifier of this receipt request.
  `allOrFirstTier` - The recipients who should sent a receipt.
  `generalNames` - The recipient to whom the receipt should be sent.

### ReceiptRequest

    public ReceiptRequest(byte[] signedContentIdentifier,
                          ReceiptRequest.AllOrFirstTier allOrFirstTier,
                          java.util.Vector generalNames)
                   throws oracle.security.crypto.util.InvalidInputException

  Create a `ReceiptRequest` object.
Parameters:
  `signedContentIdentifier` - The signed content identifier of this receipt request.
  `allOrFirstTier` - The recipients who should sent a receipt.
  `generalNames` - The recipients to whom the receipt should be sent.

### ReceiptRequest

    public ReceiptRequest(byte[] signedContentIdentifier,
                          oracle.security.crypto.cert.GeneralNames rcptsFrom,
                          oracle.security.crypto.cert.GeneralNames generalNames)
                   throws oracle.security.crypto.util.InvalidInputException

  Create a `ReceiptRequest` object.
Parameters:
  `signedContentIdentifier` - The signed content identifier of this receipt request.
  `rcptsFrom` - The recipient who should sent a receipt.
  `generalNames` - The recipient to whom the receipt should be sent.

### ReceiptRequest

    public ReceiptRequest(byte[] signedContentIdentifier,
                          java.util.Vector rcptsFrom,
                          java.util.Vector generalNames)
                   throws oracle.security.crypto.util.InvalidInputException

  Create a `ReceiptRequest` object.
Parameters:
  `signedContentIdentifier` - The signed content identifier of this receipt request.
  `rcptsFrom` - The recipients who should sent a receipt.
  `generalNames` - The recipients to whom the receipt should be sent.

### ReceiptRequest

    public ReceiptRequest(java.io.InputStream is)
                   throws java.io.IOException

  Create a `ReceiptRequest` object.
Parameters:
  `is` - The input stream.
Throws:
  `java.io.IOException` - The input encoding is incorrect or an I/O error occurs.

### ReceiptRequest

    public ReceiptRequest(oracle.security.crypto.cms.CMSSignerInfo si)
                   throws oracle.security.crypto.util.InvalidInputException

  Create a `ReceiptRequest` object.
Parameters:
  `si` - The message signer.
Throws:
  `oracle.security.crypto.util.InvalidInputException` - The input encoding is incorrect or an I/O error occurs.

Method Detail

### addReceiptsTo

    public void addReceiptsTo(oracle.security.crypto.cert.X500Name directoryName)
                       throws oracle.security.crypto.util.InvalidInputException

  Adds an entity to the list of recipients who will receive the receipt(s). The maximum number of entities who can receive the receipts is UB_RECEIPTS_TO.
  Parameters:
    `directoryName` - The X500 directory name of the entity to send the receipt to.
  Throws:
    `oracle.security.crypto.util.InvalidInputException` - The maximum number of allowed receipt requests has been exceeded.

### addReceiptsTo

    public void addReceiptsTo(java.lang.String rfc822Name)
                       throws oracle.security.crypto.util.InvalidInputException

  Adds an entity to the list of recipients who will receive the receipt(s). The maximum number of entities who can receive the receipts is UB_RECEIPTS_TO.
  Parameters:
    `rfc822Name` - The rfc822Name of an entity to send the receipt to.
  Throws:
    `oracle.security.crypto.util.InvalidInputException` - The maximum number of allowed receipt requests has been exceeded.

### addReceiptsTo

    public void addReceiptsTo(oracle.security.crypto.cert.X500Name directoryName,
                              java.lang.String rfc822Name)
                       throws oracle.security.crypto.util.InvalidInputException

  Adds an entity to the list of recipients who will receive the receipt(s). The maximum number of entities who can receive the receipts is UB_RECEIPTS_TO.
  Parameters:
    `directoryName` - The X500 directory name of an entity to send the receipt to.
    `rfc822Name` - The rfc822 name of an entity to send the receipt to.
  Throws:
    `oracle.security.crypto.util.InvalidInputException` - The maximum number of allowed receipt requests has been exceeded.

### addReceiptsTo

    public void addReceiptsTo(oracle.security.crypto.cert.GeneralName generalName)
                       throws oracle.security.crypto.util.InvalidInputException

  Adds an entity to the list of recipients who will receive the receipt(s). The maximum number of entities who can receive the receipts is UB_RECEIPTS_TO.
  Parameters:
    `generalName` - The general name of an entity to send the receipt to.
  Throws:
    `oracle.security.crypto.util.InvalidInputException` - The maximum number of allowed receipt requests has been exceeded.

### addReceiptsTo

    public void addReceiptsTo(oracle.security.crypto.cert.GeneralNames generalNames)
                       throws oracle.security.crypto.util.InvalidInputException

  Adds an entity to the list of recipients who will receive the receipt(s). The maximum number of entities who can receive the receipts is UB_RECEIPTS_TO.
  Parameters:
    `generalNames` - The general names of an entity to send the receipt to.
  Throws:
    `oracle.security.crypto.util.InvalidInputException` - The maximum number of allowed receipt requests has been exceeded.

### addReceiptsTo

    public void addReceiptsTo(java.util.Vector generalNames)
                       throws oracle.security.crypto.util.InvalidInputException

  Adds an entity to the list of recipients who will receive the receipt(s). The maximum number of entities who can receive the receipts is UB_RECEIPTS_TO.
  Parameters:
    `generalNames` - A list of general names of an entity to send the receipt to.
  Throws:
    `oracle.security.crypto.util.InvalidInputException` - The maximum number of allowed receipt requests has been exceeded.

### addReceiptsFrom

    public void addReceiptsFrom(oracle.security.crypto.cert.X500Name directoryName)
                         throws oracle.security.crypto.util.InvalidInputException

  Adds an entity to the list of recipients who will receive the receipt request. This will reset the 'AllOrFirstTier' value.
  Parameters:
    `directoryName` - The X500 directory name of the entity to request a receipt from.
  Throws:
    `oracle.security.crypto.util.InvalidInputException` - This operation is not allowed as AllOrFirstTier is being used.

### addReceiptsFrom

    public void addReceiptsFrom(java.lang.String rfc822Name)
                         throws oracle.security.crypto.util.InvalidInputException

  Adds an entity to the list of recipients who will receive the receipt request. This will reset the 'AllOrFirstTier' value.
  Parameters:
    `rfc822Name` - The rfc822Name of an entity to request a receipt from.
  Throws:
    `oracle.security.crypto.util.InvalidInputException` - This operation is not allowed as AllOrFirstTier is being used.

### addReceiptsFrom

    public void addReceiptsFrom(oracle.security.crypto.cert.X500Name directoryName,
                                java.lang.String rfc822Name)
                         throws oracle.security.crypto.util.InvalidInputException

  Adds an entity to the list of recipients who will receive the receipt request. This will reset the 'AllOrFirstTier' value.
  Parameters:
    `directoryName` - The X500 directory name of an entity to request a receipt from.
    `rfc822Name` - The rfc822 name of an entity to request a receipt from.
  Throws:
    `oracle.security.crypto.util.InvalidInputException` - This operation is not allowed as AllOrFirstTier is being used.

### addReceiptsFrom

    public void addReceiptsFrom(oracle.security.crypto.cert.GeneralName generalName)
                         throws oracle.security.crypto.util.InvalidInputException

  Adds an entity to the list of recipients who will receive the receipt request. This will reset the 'AllOrFirstTier' value.
  Parameters:
    `generalName` - The general name of an entity to send the receipt to.
  Throws:
    `oracle.security.crypto.util.InvalidInputException` - This operation is not allowed as AllOrFirstTier is being used.

### addReceiptsFrom

    public void addReceiptsFrom(oracle.security.crypto.cert.GeneralNames generalNames)
                         throws oracle.security.crypto.util.InvalidInputException

  Adds an entity to the list of recipients who will receive the receipt request. This will reset the 'AllOrFirstTier' value.
  Parameters:
    `generalNames` - The GeneralNames of an entity to request a receipt from.
  Throws:
    `oracle.security.crypto.util.InvalidInputException` - This operation is not allowed as AllOrFirstTier is being used.

### addReceiptsFrom

    public void addReceiptsFrom(java.util.Vector genNames)
                         throws oracle.security.crypto.util.InvalidInputException

  Adds an entity to the recipientsFrom list who will receive the receipt request. This will override the 'AllOrFirstTier'.
  Throws:
    `oracle.security.crypto.util.InvalidInputException` - This operation is not allowed as AllOrFirstTier is being used.

### setAllOrFirstTierReceiptsFrom

    public void setAllOrFirstTierReceiptsFrom(ReceiptRequest.AllOrFirstTier allOrFirstTier)
                                       throws oracle.security.crypto.util.InvalidInputException

  Sets the AllOrFirstTierValue. This will reset the list of recipients who will receive the receipt request i.e. receiptList value.
  Throws:
    `oracle.security.crypto.util.InvalidInputException` - This operation is not allowed as ReceiptList is being used.

### getAllOrFirstTier

    public ReceiptRequest.AllOrFirstTier getAllOrFirstTier()

  Returns the AllOrFirstTierValue.
  Returns:
    The `AllOrFirstTierValue` object if present; `null` otherwise.

### receiptsTo

    public java.util.Enumeration receiptsTo()

  Returns the list of recipients who will receive the receipt(s).
  Returns:
    An `Enumeration` containing a list of GeneralNames i.e. `ASN1Sequence` objects whose elements are `GeneralName` objects if present; `null` otherwise.

### getReceiptsTo

    public java.util.Vector getReceiptsTo()

  Returns the list of recipients who will receive the receipt(s).
  Returns:
    A `Vector` containing a list of GeneralNames i.e. `ASN1Sequence` objects whose elements are `GeneralName` objects if present; `null` otherwise.

### receiptsFrom

    public java.util.Enumeration receiptsFrom()

  Returns the list of recipients who will receive the receipt request(s).
  Returns:
    An `Enumeration` containing a list of GeneralNames i.e. `ASN1Sequence` objects whose elements are `GeneralName` objects if present; `null` otherwise.

### getReceiptList

    public java.util.Vector getReceiptList()

  Returns the list of recipients who will receive the receipt request(s).
  Returns:
    A `Vector` containing a list of GeneralNames i.e. `ASN1Sequence` objects whose elements are `GeneralName` objects if present; `null` otherwise.

### getSignedContentIdentifier

    public byte[] getSignedContentIdentifier()

  Returns the signed content identifier.
  Returns:
    The signed content identifier.

### checkReceiptsFrom

    public boolean checkReceiptsFrom(oracle.security.crypto.cert.X500Name recipientX500Name)

  Indicate if a Receipt has been requested from the specified entity.
  Parameters:
    `recipientX500Name` - The X500 directory name of the recipient.
  Returns:
    `true` if a receipt has been requested; `false` otherwise.

### checkReceiptsFrom

    public boolean checkReceiptsFrom(java.lang.String rfc822Name)

  Indicate if a Receipt has been requested from the specified entity.
  Returns:
    `true` if a receipt has been requested; `false` otherwise.

### checkReceiptsFrom

    public boolean checkReceiptsFrom(oracle.security.crypto.cert.GeneralName generalName)

  Indicate if a Receipt has been requested from the specified entity.
  Returns:
    `true` if a receipt has been requested; `false` otherwise.

### equals

    public boolean equals(java.lang.Object o)

  Indicates if the object equals the specified object.
  Returns:
    If `true` this object is equal to the specified object; `false` otherwise.

### hashCode

    public int hashCode()

  Return the hash code for this object.
  Returns:
    The hash code value.

### toString

    public java.lang.String toString()

  Return information about this object.
  Returns:
    A string describing this object.

### input

    public void input(java.io.InputStream is)
               throws java.io.IOException

  Specified by:
    `input` in interface `oracle.security.crypto.util.Streamable`
  Throws:
    `java.io.IOException`

### output

    public void output(java.io.OutputStream os)
                throws java.io.IOException

  Outputs this object's encoding to the specified output stream.
  Specified by:
    `output` in interface `oracle.security.crypto.util.Streamable`
  Parameters:
    `os` - The output stream.
  Throws:
    `java.io.IOException` - An I/O error occurred.

### length

    public int length()

  Returns the length of this object's encoding.
  Specified by:
    `length` in interface `oracle.security.crypto.util.Streamable`
  Returns:
    The length in bytes.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools S/MIME Java API Reference 10g Release 3 (10.1.3) B25379-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.